Trigger an on-demand test run for a monitor

Base URL
https://{kibana_url}
Auth

Trigger an immediate test execution for the specified monitor. The response includes the generated testRunId. If the test encounters issues in one or more service locations, an errors array is also returned with details about the failures.

Path parameters

monitorId string required

The ID (config_id) of the monitor to test.

Responses

Test run triggered successfully.

application/json
testRunId string required

Unique identifier for the triggered test run.

404

Monitor not found.

Base URL
https://{kibana_url}